Proxy authentication in Ubuntu 11.10 Oneiric Ocelot

UPDATE December 27th: I’ve added a post which doesn’t need dconf-editor here.

Since Ubuntu 11.10, the proxy settings tab in the system settings have been changed, it’s no longer possible to enter your credentials in the proxy settings.

There’s a solution where you can edit these settings through dconf-tools:

Download and run dconf-tools  in the terminal by executing these two lines of code:

sudo apt-get install dconf-tools
dconf-editor

Within dconf-editor, goto “system > proxy” and change “mode” to manual.

Then select “use-same-proxy”

After that, go to “system > proxy > http”, enter your proxy information and select “enable”

Make sure ftp, https and socks have “0” (zero) on “port” and nothing on “Host” field

Everything should work fine now.

Update on October 23th with screenshots:

(Please note: you should change the blurred values)

Advertisements

10 thoughts on “Proxy authentication in Ubuntu 11.10 Oneiric Ocelot

    1. Good point Stephane,

      You can download the deb from here: http://packages.ubuntu.com/oneiric/libs/dconf-tools

      Scroll down to “Download dconf-tools” and select the architecture you’ve got.

      (if you don’t know which architecture you’re running; use uname -m in the terminal)

      When you’ve downloaded these, you can install them by double-clicking the .deb file or executing this code:

      sudo dpkg -i dconf-tools_*.deb

      I’ll try to create a small script in the next few days which will change these settings by running it..

      1. Stephane Varin

        Thanks Joris, I was able to install dconf-tools and use it to change the proxy settings.

        Unfortunately, I am still stuck. In fact, I can use firefox and browse the web, but I cannot use apt-get or the ubuntu software center (they obviously cannot access the repositories), not can I simply ping outside my corporate network…

        Any idea what I am doing wrong here?

        Cheers,
        Stephane

  1. Stephane Varin

    Correction: I can install new software via the software manager…and I can browse the net with Firefox, so it seems the proxy settings are ok.

    But I am having a different issue it seems, when running apt-get update:

    Failed to fetch http://fr.archive.ubuntu.com/ubuntu/pool/main/p/pam/libpam-modules_1.1.3-2ubuntu2.1_i386.deb Size mismatch
    Failed to fetch http://fr.archive.ubuntu.com/ubuntu/pool/main/b/bluez/bluez_4.96-0ubuntu4_i386.deb Size mismatch
    Failed to fetch http://fr.archive.ubuntu.com/ubuntu/pool/main/c/cups/cups-client_1.5.0-8ubuntu3_i386.deb Size mismatch
    Failed to fetch http://fr.archive.ubuntu.com/ubuntu/pool/main/c/cups/cups_1.5.0-8ubuntu3_i386.deb Size mismatch

    1. Hi Stephane, that’s awkward, I’ll try and see if I can replicate that tomorrow when I’m at work. I’ve seen some fail messages but haven’t seen this one.

      Did you try apt-get install -f?

      1. Stephane Varin

        Hi Joris, no I didn’t try this.

        I gave up and installed another flavor of linux…and ran into different problems…

        I hold no grudge against the penguin though, it still works just fine for me at home…

  2. Pingback: Proxy authentication in Ubuntu 11.10 Oneiric Ocelot (Update) « Joris Visscher

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s